longrun.
Get file information

Docs

Files / Get file information

Get file information

Read file metadata, including access and expiry information.

GEThttps://uselongrun.app/v1/files/{file_id}
Request
curl --request GET "https://uselongrun.app/v1/files/${FILE_ID}" \
  --header "Authorization: Bearer ${API_KEY}"

Request parameters

path
idstringRequired

The file ID to use. Copy the id from an upload response or from Files. Replace {id} in the URL with that value.

Example
"${FILE_ID}"

Returns

Returns HTTP 200.

idstring
namestring
mime_typestring
sizeinteger

Minimum: 0

storagestring
urlstringnull
accessstring
expires_atstringnull
url_expires_atstringnull
categorystring
sourcestring
created_atstring
source_run_idstringnull
source_namestring
savedboolean
retainedboolean
expiredboolean